#****************************************************************************
#**
#**  File     :  /hook/lua/UserSync.lua
#**  Author(s):  D10ny5u5
#**
#**  Summary  :  Handicap Mod for Forged Alliance
#**
#****************************************************************************
local modPath = 'HandicapVoting'

local baseOnSync = OnSync

function OnSync()
	baseOnSync()
	
	# Sim to UI
	if Sync.PAssignment then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').SetAssignment(Sync.PAssignment)
	end
	if Sync.pData then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').SetHandicapData(Sync.pData)
	end
	if Sync.pStats then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').SetHandicapStats(Sync.pStats)
	end
	if Sync.pEco then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').SetHandicapEco(Sync.pEco)
	end	
	if Sync.pAlert then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').ShowAlert(Sync.pAlert)
	end
	if Sync.pSkin then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').SetLayout()
	end
	if Sync.pVote then
		import('/mods/'..modPath..'/modules/HandicapVoting.lua').ShowHandicapVote()
	end
	
	# Happening a log ~ 100ms
	#LOG("Finished UserSync > OnSync", 0)
	
end
